IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[_equipoAtributoLevantamientoActivos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[_equipoAtributoLevantamientoActivos]
GO
CREATE PROCEDURE [_equipoAtributoLevantamientoActivos]
	@p_idEquipo INT,
	@p_idPruebaCheckList INT,
	@p_seccionCodigo varchar(10),
	@p_eid VARCHAR(100),
	@p_idSucursal INT = 0
AS
BEGIN

	if @p_seccionCodigo in ('equ', 'suc')
	begin
		select --siempre tiene que devolver estos campos
			equAtb.id_equipo, 
			equAtb.id_atributo,
			min(cat_atributo_id_seccionAtributo) cat_atributo_id_seccionAtributo
		from view_equ_equipoAtributo equAtb
			inner join cat_seccionAtributo seccion on seccion.id = equAtb.cat_atributo_id_seccionAtributo
			inner join cat_pruebaCheckList_atributo listaAtb on (listaAtb.id_pruebaCheckList = equAtb.id_pruebaCheckList and listaAtb.id_atributo = equAtb.id_atributo)
		where 
			equAtb.id_pruebaCheckList = @p_idPruebaCheckList and 
			equAtb.id_equipo = @p_idEquipo and 
			seccion.seccionAtributo_codigo like '' + @p_seccionCodigo + '-%' and
			seccion.active = 1 and
			listaAtb.active = 1
		group by 
			equAtb.id_equipo, equAtb.cat_atributo_id_seccionAtributo, equAtb.id_atributo
		order by 
			min(cat_atributo_id_seccionAtributo)
	end

	if @p_seccionCodigo in ('cpt')
	begin
		select --siempre tiene que devolver estos campos
			min(equAtb.cat_atributo_id_seccionAtributo) cat_atributo_id_seccionAtributo, 
			equAtb.id_equipo, 
			min(equAtb.equ_equipo_equipo) equ_equipo_equipo, 
			min(equAtb.id_atributo) id_atributo
		from view_equ_equipoAtributo equAtb
			inner join cat_pruebaCheckList_atributo listaAtb on (listaAtb.id_pruebaCheckList = equAtb.id_pruebaCheckList and listaAtb.id_atributo = equAtb.id_atributo)
		where 
			equAtb.id_pruebaCheckList = @p_idPruebaCheckList and
			listaAtb.active = 1
			and equAtb.equ_equipo_id_equipo=@p_idEquipo
			and equAtb.equ_equipo_id_sucursal=@p_idSucursal
		group by 
			equAtb.id_equipo, equAtb.id_atributo
		order by 
			min(equAtb.cat_atributo_id_seccionAtributo), id_equipo
	end

END
